
RADOS - Feature #41359

Adding Placement Group id in Large omap log message

08/20/2019 07:41 PM - Vikhyat Umrao

Status: Resolved % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee: Brad Hubbard   

Category: Administration/Usability   

Target version:    

Source:  Affected Versions:  

Tags:  Component(RADOS):  

Backport: nautilus, mimic, luminous Pull request ID: 30682

Reviewed:    

Description

2019-08-20 00:16:26.354331 osd.13 osd.13 192.168.42.218:6804/725336 469 : 

cluster [WRN] Large omap object found. Object: 

272:77fe05db:::.dir.7659bed4-dcd2-4616-95b3-4f7d971c6dd8.2907365.1:head 

Key count: 2401160 Size (bytes): 459802197

 

Adding the pg id will help to avoid the following step.

ceph osd map site1.rgw.buckets.index .dir.7659bed4-dcd2-4616-95b3-4f7d971c6dd8.2907365.1

osdmap e7749 pool 'site1.rgw.buckets.index' (272) object '.dir.7659bed4-dcd2-4616-95b3-4f7d971c6dd

8.2907365.1' -> pg 272.dba07fee (272.6e) -> up ([13,4,60], p13) acting ([13,4,60], p13)

Related issues:

Copied to RADOS - Backport #42240: mimic: Adding Placement Group id in Large ... Resolved

Copied to RADOS - Backport #42241: luminous: Adding Placement Group id in Lar... Resolved

Copied to RADOS - Backport #42242: nautilus: Adding Placement Group id in Lar... Resolved

History

#1 - 08/20/2019 10:48 PM - Brad Hubbard

- Assignee set to Brad Hubbard

#2 - 10/02/2019 03:32 AM - Brad Hubbard

- Status changed from New to In Progress

- Backport set to nautilus, mimic, luminous

#3 - 10/08/2019 05:50 AM - Neha Ojha

- Status changed from In Progress to Fix Under Review

- Pull request ID set to 30682

#4 - 10/09/2019 07:54 AM - Brad Hubbard

- Status changed from Fix Under Review to Pending Backport

#5 - 10/09/2019 08:36 AM - Nathan Cutler

- Copied to Backport #42240: mimic: Adding Placement Group id in Large omap log message added
#6 - 10/09/2019 08:36 AM - Nathan Cutler

- Copied to Backport #42241: luminous: Adding Placement Group id in Large omap log message added

#7 - 10/09/2019 08:36 AM - Nathan Cutler

- Copied to Backport #42242: nautilus: Adding Placement Group id in Large omap log message added

#8 - 11/13/2019 08:20 PM - Yuri Weinstein

https://github.com/ceph/ceph/pull/30923 merged

#9 - 11/14/2019 10:03 AM - Nathan Cutler

- Status changed from Pending Backport to Resolved

While running with --resolve-parent, the script "backport-create-issue" noticed that all backports of this issue are in status "Resolved" or "Rejected".
